%define upstream_name MooseX-Traitor
%define upstream_version 0.006

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7

Summary:	An alternate way to compose your classes with traits
License:	LGPLv2
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Moose)
BuildRequires:	perl(MooseX::Util)
BuildRequires:	perl(Test::CheckDeps)
BuildRequires:	perl(Test::Moose::More)
BuildRequires:	perl(namespace::autoclean)

BuildArch:	noarch

%description
One of the most powerful things about Moose is that with roles and easy
"anonymous" class creation we are blessed with a fantastic new way of
creating classes, often on the fly, out of other classes and those
composable bits of behaviour, roles.

Even better, this application of discrete chunks of behaviours enables
people simply using a class to extend and tweak its behaviour in new
ways -- possibly ways never contemplated by the authors of the classes
being altered.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.6.0-7.mga10
+ Revision: 2199987
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.6.0-6.mga9
+ Revision: 1804781
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.6.0-5.mga8
+ Revision: 1495685
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.6.0-4.mga7
+ Revision: 1269623
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-3.mga6
+ Revision: 1030654
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.6.0-2.mga6
+ Revision: 966655
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.6.0-1.mga6
+ Revision: 846505
- imported package perl-MooseX-Traitor

